// Black fog

#if defined(VERTEX) ///////////////////////////////////////////////////

layout(location=0) in vec3 aPosition;
layout(location=2) in vec2 aTexCoord;

out vec2 vTexCoord;

void main() {

	vTexCoord = aTexCoord;
	gl_Position = vec4(aPosition.xyz, 1);
	
}

#elif defined(FRAGMENT) ///////////////////////////////////////////////

layout(location = 0) out vec4 textColor;

uniform float darknessRadius;

in vec2 vTexCoord;

void main(){

	if ((pow(abs((vTexCoord.x * 2.0f) - 1.0f), 2) + pow(abs((vTexCoord.y * 2.0f) - 1.0f), 2)) >= darknessRadius) { textColor = vec4(0.0f, 0.0f, 0.0f, 1.0f); }
	
}

#endif

